Page MenuHomeFreeBSD

New port: audio/padthv1-lv2: Old-school polyphonic additive synthesizer
ClosedPublic

Authored by yuri on Dec 5 2017, 8:36 PM.

Details

Summary

Old-school polyphonic additive synthesizer

Diff Detail

Repository
rP FreeBSD ports repository
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

yuri created this revision.Dec 5 2017, 8:36 PM

Could you check whether you need:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/padthv1_jack is linked to /usr/local/lib/libGL.so.1 from graphics/mesa-libs but it is not declared as a dependency
Warning: you need USE_GL+=gl
audio/padthv1-lv2/Makefile
24 ↗(On Diff #36259)

^ please switch the order of qmake_build and buildtools_build

yuri marked an inline comment as done.Dec 6 2017, 6:36 AM
yuri added inline comments.
audio/padthv1-lv2/Makefile
24 ↗(On Diff #36259)

This has stalled: https://reviews.freebsd.org/D11977

So I see this nice error:

====> Running Q/A tests (stage-qa)
Error: /usr/local/bin/padthv1_jack is linked to /usr/local/lib/libGL-NVIDIA.so.1 from x11/nvidia-driver but it is not declared as a dependency
Warning: you need LIB_DEPENDS+=libGL-NVIDIA.so:x11/nvidia-driver

instead of the gl warning.

I had to remove the patch and put it back in several times. Now I forgot to put it back, and missed gl.
:)

yuri marked 2 inline comments as done.Dec 6 2017, 6:37 AM
tcberner accepted this revision.Dec 7 2017, 6:07 PM
This revision is now accepted and ready to land.Dec 7 2017, 6:07 PM
This revision was automatically updated to reflect the committed changes.